[interchange-cvs] interchange - racke modified 3 files

interchange-core@icdevgroup.org interchange-core@icdevgroup.org
Wed Jan 1 15:46:00 2003


User:      racke
Date:      2003-01-01 20:45:53 GMT
Modified:  debian   interchange-cat-foundation.config
Modified:           interchange-cat-foundation.postinst
Modified:           interchange-cat-foundation.templates
Log:
new debconf question for defaultlocale

Revision  Changes    Path
2.7       +7 -1      interchange/debian/interchange-cat-foundation.config


rev 2.7, prev_rev 2.6
Index: interchange-cat-foundation.config
===================================================================
RCS file: /var/cvs/interchange/debian/interchange-cat-foundation.config,v
retrieving revision 2.6
retrieving revision 2.7
diff -u -r2.6 -r2.7
--- interchange-cat-foundation.config	29 Dec 2002 00:13:06 -0000	2.6
+++ interchange-cat-foundation.config	1 Jan 2003 20:45:53 -0000	2.7
@@ -1,6 +1,6 @@
 #! /bin/sh -e
 #
-# Copyright 2001,2002 by Stefan Hornburg (Racke) <racke@linuxia.de>
+# Copyright 2001,2002,2003 by Stefan Hornburg (Racke) <racke@linuxia.de>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -57,3 +57,9 @@
 db_go
 db_input medium interchange-cat-foundation/locales || [ $? -eq 30 ]
 db_go
+db_get interchange-cat-foundation/locales
+if [ "$RET" ]; then
+	db_subst interchange-cat-foundation/defaultlocale LOCALES "en_US, $RET"
+	db_input medium interchange-cat-foundation/defaultlocale || [ $? -eq 30 ]
+	db_go
+fi



2.11      +3 -1      interchange/debian/interchange-cat-foundation.postinst


rev 2.11, prev_rev 2.10
Index: interchange-cat-foundation.postinst
===================================================================
RCS file: /var/cvs/interchange/debian/interchange-cat-foundation.postinst,v
retrieving revision 2.10
retrieving revision 2.11
diff -u -r2.10 -r2.11
--- interchange-cat-foundation.postinst	29 Dec 2002 00:13:07 -0000	2.10
+++ interchange-cat-foundation.postinst	1 Jan 2003 20:45:53 -0000	2.11
@@ -74,8 +74,10 @@
 	UI_PASSWORD=$RET
     db_get interchange-cat-foundation/locales
     LOCALES=`echo "$RET" | sed -e 's/, /,/'`
+	db_get interchange-cat-foundation/defaultlocale
+	DEFAULTLOCALE=$RET
 	SERVERNAME=`hostname --fqdn`
-	MVC_ENABLESECURE=1 MVC_UISECURE=1 MVC_SUPERUSER="$UI_SUPERUSER" MVC_CRYPTPW="$UI_PASSWORD" MVC_LOCALES="$LOCALES" /usr/bin/makecat \
+	MVC_ENABLESECURE=1 MVC_UISECURE=1 MVC_SUPERUSER="$UI_SUPERUSER" MVC_CRYPTPW="$UI_PASSWORD" MVC_LOCALES="$LOCALES" MVC_DEFAULTLOCALE="$DEFAULTLOCALE" /usr/bin/makecat \
 		-F \
 		-l /var/log/interchange/makecat.log \
 		--demotype=$CATALOG \



2.9       +7 -0      interchange/debian/interchange-cat-foundation.templates


rev 2.9, prev_rev 2.8
Index: interchange-cat-foundation.templates
===================================================================
RCS file: /var/cvs/interchange/debian/interchange-cat-foundation.templates,v
retrieving revision 2.8
retrieving revision 2.9
diff -u -r2.8 -r2.9
--- interchange-cat-foundation.templates	29 Dec 2002 00:13:07 -0000	2.8
+++ interchange-cat-foundation.templates	1 Jan 2003 20:45:53 -0000	2.9
@@ -82,3 +82,10 @@
  of the Interchange server processes, so it is recommended to choose only 
  locales which are really needed.
 
+Template: interchange-cat-foundation/defaultlocale
+Type: select
+Choices: ${LOCALES}
+Default: en_US
+Description: Select default locale for the storefront of the demo catalog
+ Please select the default locale for the Interchange demo catalog.
+